Subject: bug#10304: 24.0.92: display bug

From: Michael Albinus <[email-masked]>
Date: Wed, 16 Jan 2013 16:06:40 +0100

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

> Please apply the patch below and run with it for a while.  It makes
> the output of trace-redisplay more voluminous, but I don't see how
> else we could catch the problem.  When the problem happens again,
> please post the results.

I have applied the patch, and I have also compiled Emacs trunk with
-DGLYPH_DEBUG=1. When the problem happened, I have taken a screenshot,
and I have evaluated (dump-glyph-matrix 2)

See the appended screenshot.jpg. It is an older email from Lars about
the topic (message-id <[email-masked]>, from "Sat, 05
Jan 2013 09:38:00 +0100"). At the bottom of Emacs, you see 3 lines which
are scrambled. Besides the screenshot, I have also appended the dump of
Emacs. HTH.

> Thanks.

Best regards, Michael.